View Issue Details

IDProjectCategoryView StatusLast Update
0000470Pgpool-IIBugpublic2019-08-13 09:03
ReporterdemisxAssigned Topengbo 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionopen 
PlatformLinuxOSUbuntuOS Version18.04 LTS
Product Version4.0.2 
Target Version4.0.5Fixed in Version4.0.5 
Summary0000470: Make install fails
DescriptionI am trying to reinstall pgpool and constantly seeing this error (see below). I don't recall if I saw this on the very first install or not, but seeing it consistently on each subsequent reinstall:

```
make[3]: Entering directory '/home/dmoore/pgpool-II-4.0.2/src/tools'
ln -s ../test/watchdog_setup .
ln: failed to create symbolic link './watchdog_setup': File exists
Makefile:703: recipe for target 'watchdog_setup' failed
make[3]: *** [watchdog_setup] Error 1
make[3]: Leaving directory '/home/dmoore/pgpool-II-4.0.2/src/tools'
Makefile:430: recipe for target 'install-recursive' failed
make[2]: *** [install-recursive] Error 1
make[2]: Leaving directory '/home/dmoore/pgpool-II-4.0.2/src/tools'
Makefile:842: recipe for target 'install-recursive' failed
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory '/home/dmoore/pgpool-II-4.0.2/src'
Makefile:399: recipe for target 'install-recursive' failed
make: *** [install-recursive] Error 1
```
Steps To ReproduceIf you don't get this error on first install, try it again thus simulating re-install

```
$ ./configure --with-openssl
$ make clean && sudo make uninstall
& make
$ sudo make install
```
Tagserror, Makefile

Activities

pengbo

2019-04-08 00:13

developer   ~0002537

Thank you for reporting this bug.

Fixed by the following commit:
https://git.postgresql.org/gitweb/?p=pgpool2.git;a=commit;h=798415432ab7e7c27753041e13289273dc9540d2

Issue History

Date Modified Username Field Change
2019-02-24 00:48 demisx New Issue
2019-02-24 00:48 demisx Tag Attached: error
2019-02-25 09:33 administrator Assigned To => pengbo
2019-02-25 09:33 administrator Status new => assigned
2019-04-07 23:58 pengbo Tag Attached: Makefile
2019-04-08 00:13 pengbo Note Added: 0002537
2019-04-08 00:13 pengbo Target Version => 4.0.5
2019-04-08 00:13 pengbo Status assigned => feedback
2019-04-15 12:04 pengbo Status feedback => resolved
2019-08-13 09:03 administrator Status resolved => closed
2019-08-13 09:03 administrator Fixed in Version => 4.0.5